#ebay1 {
    padding: 30px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
    grid-template-areas: "header header"
        "thumbnails description";
    font-family: 'Source Sans Pro', sans-serif;
    gap: 30px;
    margin: 10px 0;
}

#ebay1 .header {
    grid-area: header;
    display: flex;
    align-items: center;
    font-size: 3em;
    gap: 15px;
}

#ebay1 .header input {
    flex: 1;
    font-size: 15pt;
    min-width: 0;
}

#ebay1 input[type=text] {
    width: 100%;
}

#ebay1 .thumbnails {
    grid-area: thumbnails;
}

#ebay1 .thumbnails .thumbnail {
    border: 1px solid black;
    aspect-ratio: 1;
    display: flex;
    align-items: center;
}

#ebay1 .thumbnails .thumbnail p {
    padding: 1em;
    font-size: 1.25em;
}

#ebay1 .thumbnails .row {
    display: flex;
    margin-top: 20px;
    gap: 3px;
}

#ebay1 .thumbnails .thumbnail .arrow {
    margin: -1px;
    min-height: 70px;
}

#ebay1 .thumbnails .row .thumbnail {
    flex-grow: 1;
}

#ebay1 .arrow {
    display: grid;
    place-items: center;
    border: 1px solid black;
    padding: 5px;
    cursor: pointer;
}

#ebay1 .description {
    grid-area: description;
}

#ebay1 .description>* {
    margin: 10px 0;
}

#ebay1 .title {
    font-size: 2em;
    font-weight: bold;
}

#ebay1 .condition {
    font-style: italic;
}

#ebay1 .currentbid {
    font-size: 2em;
    font-weight: bold;
}

#ebay1 .amountbid {
    display: inline-block;
}

#ebay1 .visited {
    color: blueviolet;
    cursor: pointer;
}

#ebay1 .bidding {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 10px 20px;
}

#ebay1 .bidding>* {
    grid-column-start: 2;
}

#ebay1 .currentBidLabel {
    grid-column-start: 1;
}

#ebay1 .placebid,
#ebay1 .bid,
#ebay1 .watchlist {
    border: 1px solid black;
    width: 250px;
    height: 50px;
    padding: 0 15px;
    box-sizing: border-box;
}

#ebay1 .placebid,
#ebay1 .watchlist {
    text-align: center;
    cursor: pointer;
    font-size: 1.5em;
    line-height: 50px;
    font-weight: bolder;
}

#ebay1 .placebid {
    background-color: grey;
    color: white;
}

/* @media (max-width: 768px) {
    #ebay1 {
      display: block;
    }

    #ebay1 .description {
      margin-top: 1em;
    }
  } */

#ebay1 .message {
    display: flex;
    border: 1px solid rgb(117, 117, 117);
}

#ebay1 .icon {
    border: 1px solid rgb(117, 117, 117);
    background-color: rgb(117, 117, 117);
    color: white;
    padding: 10px 20px;
    font-size: 4em;
    font-family: 'Times New Roman', Times, serif;
    display:grid;
    place-items:center;
}

#ebay1 .body {
    padding: 10px 20px;
    min-width: 0px;
}

#ebay1 .body .heading {
    font-size: 1.25em;
}

@media screen and (max-width: 480px) {
    #ebay1 {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        grid-template-areas: "header"
            "thumbnails"
            "description";
    }

    #ebay1 .currentbid {
        font-size: 1.5em;
    }

    #ebay1 .placebid,
    #ebay1 .bid,
    #ebay1 .watchlist {
        width: 100%;
        font-size: 1em;
    }
}
